// 基于 @CONTROL/日历部件/MODEL.ts.ftl 生成
/**
 * OrderCalendarNavigation 部件模型
 *
 * @export
 * @class OrderCalendarNavigationModel
 */
export default class OrderCalendarNavigationModel {

	/**
	 * 日历项类型
	 *
	 * @returns {any[]}
	 * @memberof OrderCalendarNavigationCalendarexpbar_calendarMode
	 */
	public itemType: string = "";

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof OrderCalendarNavigationCalendarexpbar_calendarMode
	 */
	public getDataItems(): any[] {
     let dataItems: any = [
          // 前端新增修改标识，新增为"0",修改为"1"或未设值
          {
            name: 'srffrontuf',
            prop: 'srffrontuf',
            dataType: 'TEXT',
          },
          {
            name: 'color',
          },
          {
            name: 'textColor',
          },
          {
            name: 'itemType',
          },
          {
            name: 'query',
            prop: 'query',
          },
      ];
      switch(this.itemType){
          case "book":
              dataItems = [...dataItems,
                  {
                    name: 'ibizbook',
                    prop: 'ibizbookid'
                  },
                  {
                    name: 'title',
                    prop: 'ibizbookname'
                  },
                  {
                    name:'start',
                    prop:'lendouttime'
                  },
                  {
                    name:'end',
                    prop:'returntime'
                  },
              ];
              break;
          case "item1":
              dataItems = [...dataItems,
                  {
                    name: 'ibizorder',
                    prop: 'ibizorderid'
                  },
                  {
                    name: 'title',
                    prop: 'ibizordername'
                  },
                  {
                    name:'start',
                    prop:'starttime'
                  },
                  {
                    name:'end',
                    prop:'endtime'
                  },
              ];
              break;
      }
      return dataItems;
	}

}