// 基于 @CONTROL/表格/MODEL.ts.ftl 生成
/**
 * PluginGridColumn 部件模型
 *
 * @export
 * @class PluginGridColumnModel
 */
export default class PluginGridColumnModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof PluginGridColumnGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof PluginGridColumnGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'ibizordername',
          prop: 'ibizordername',
          dataType: 'TEXT',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'ibizorderid',
          prop: 'ibizorderid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'ibizorderid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'srfdataaccaction',
          prop: 'ibizorderid',
          dataType: 'GUID',
        },
        {
          name: 'ibizcustomerid',
          prop: 'ibizcustomerid',
          dataType: 'PICKUP',
        },
        {
          name: 'srfmajortext',
          prop: 'ibizordername',
          dataType: 'TEXT',
        },
        {
          name: 'wfstep',
          prop: 'wfstep',
          dataType: 'SSCODELIST',
        },
        {
          name: 'orderstate',
          prop: 'orderstate',
          dataType: 'SSCODELIST',
        },
        {
          name: 'srfmstag',
        },
        {
          name: 'ibizorder',
          prop: 'ibizorderid',
        },
      {
        name: 'n_ibizcustomername_like',
        prop: 'n_ibizcustomername_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_ibizordername_like',
        prop: 'n_ibizordername_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_orderstate_eq',
        prop: 'n_orderstate_eq',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_ordertime_gtandeq',
        prop: 'n_ordertime_gtandeq',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
        // 预置工作流数据字段
        {
          name: 'srfprocessdefinitionkey',
          prop: 'srfprocessdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskdefinitionkey',
          prop: 'srftaskdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskid',
          prop: 'srftaskid',
          dataType: 'TEXT'
        }
      ]
    }
  }

}